﻿using DataSharing.CityStateDataExchange;
using DataSharing.SendTask;
using DataSharing.SendTask.OtherPlatforms;
using Microsoft.Extensions.Logging;

namespace DataSharing.ZiGong
{
    /// <summary>
    /// 执行推送任务
    /// </summary>
    public class ZiGongSendTaskDataService : ISendTaskDataService
    {

        private readonly ILogger<ZiGongSendTaskDataService> _logger;
        private readonly ICityStateDataExchangePusherProviderService _dataExchangePusherProviderService;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="logger"></param>
        /// <param name="pusherProviderService"></param>
        /// <param name="enterprisePusherProviderService"></param>
        /// <param name="dataExchangePusherProviderService"></param>
        /// <param name="zzptPusherProviderService"></param>
        public ZiGongSendTaskDataService(ILogger<ZiGongSendTaskDataService> logger,
         ICityStateDataExchangePusherProviderService dataExchangePusherProviderService)
        {
            _logger = logger;
            _dataExchangePusherProviderService = dataExchangePusherProviderService;
        }

        /// <summary>
        /// 执行推送任务
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        public async Task SendTask(DsWaitSendTaskOtherPlatforms dto, CancellationToken cancellationToken)
        {
            if (dto is null)
                return;
            _logger.LogWarning("这里是自贡的服务--------------------------------------");

            switch (dto.PlatformSource)
            {
                case Share.Enums.EPlatformSource.Police110:
                    break;
                case Share.Enums.EPlatformSource.CityDataExchange:
                    await _dataExchangePusherProviderService.SendDataExchangeDataPusher(dto, cancellationToken);
                    break;
                default:
                    break;
            }
        }
    }
}
